# DomainC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/PolicyC.h"`
`#include "DomainC.inl"`

Include dependency graph for DomainC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | CORBA

## Classes

interface | CORBA::DomainManager
interface | CORBA::ConstructionPolicy
class | CORBA::DomainManagerList
struct | TAO::Objref_Traits< ::CORBA::DomainManager >
struct | TAO::Objref_Traits< ::CORBA::ConstructionPolicy >

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_DOMAINMANAGER__VAR_OUT_CH_
#define | _CORBA_DOMAINMANAGER_CH_
#define | _CORBA_CONSTRUCTIONPOLICY__VAR_OUT_CH_
#define | _CORBA_CONSTRUCTIONPOLICY_CH_
#define | _CORBA_DOMAINMANAGERLIST_CH_
#define | _CORBA_DOMAINMANAGER__TRAITS_CH_
#define | _CORBA_CONSTRUCTIONPOLICY__TRAITS_CH_

## Typedefs

typedef DomainManager * | DomainManager_ptr
typedef TAO_Objref_Var_T< DomainManager > | DomainManager_var
typedef TAO_Objref_Out_T< DomainManager > | DomainManager_out
typedef ConstructionPolicy * | ConstructionPolicy_ptr
typedef TAO_Objref_Var_T< ConstructionPolicy > | ConstructionPolicy_var
typedef TAO_Objref_Out_T< ConstructionPolicy > | ConstructionPolicy_out
typedef TAO_MngSeq_Var_T< DomainManagerList, TAO_Object_Manager< DomainManager, DomainManager_var > > | DomainManagerList_var
typedef TAO_MngSeq_Out_T< DomainManagerList, DomainManagerList_var, TAO_Object_Manager< DomainManager, DomainManager_var > > | DomainManagerList_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::DomainManager_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::DomainManager_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::ConstructionPolicy_ptr)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::ConstructionPolicy_ptr &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::DomainManagerList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::DomainManagerList &)

## Variables

TAO_Export TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)
TAO_Export TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)

## Define Documentation

#define _CORBA_CONSTRUCTIONPOLICY__TRAITS_CH_

#define _CORBA_CONSTRUCTIONPOLICY__VAR_OUT_CH_

#define _CORBA_CONSTRUCTIONPOLICY_CH_

#define _CORBA_DOMAINMANAGER__TRAITS_CH_

#define _CORBA_DOMAINMANAGER__VAR_OUT_CH_

#define _CORBA_DOMAINMANAGER_CH_

#define _CORBA_DOMAINMANAGERLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< ConstructionPolicy > CORBA::ConstructionPolicy_out

typedef ConstructionPolicy* CORBA::ConstructionPolicy_ptr

typedef TAO_Objref_Var_T< ConstructionPolicy > CORBA::ConstructionPolicy_var

typedef TAO_Objref_Out_T< DomainManager > CORBA::DomainManager_out

typedef DomainManager* CORBA::DomainManager_ptr

typedef TAO_Objref_Var_T< DomainManager > CORBA::DomainManager_var

typedef TAO_MngSeq_Out_T< DomainManagerList, DomainManagerList_var, TAO_Object_Manager< DomainManager, DomainManager_var > > CORBA::DomainManagerList_out

typedef TAO_MngSeq_Var_T< DomainManagerList, TAO_Object_Manager< DomainManager, DomainManager_var > > CORBA::DomainManagerList_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::DomainManagerList & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::ConstructionPolicy_ptr |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::DomainManager_ptr |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::DomainManagerList & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::ConstructionPolicy_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::DomainManager_ptr & |
| ) |

## Variable Documentation

TAO_Export TAO::Collocation_Proxy_Broker*(* CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)

TAO_Export TAO::Collocation_Proxy_Broker*(* CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer)(CORBA::Object_ptr obj)